openSUSE Security Update: Security update for opera
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:1209-1
Rating:             important
References:         
Cross-References:   CVE-2021-30590 CVE-2021-30591 CVE-2021-30592
                    CVE-2021-30593 CVE-2021-30594 CVE-2021-30596
                    CVE-2021-30597
Affected Products:
                    openSUSE Leap 15.3:NonFree
                    openSUSE Leap 15.2:NonFree
______________________________________________________________________________

   An update that fixes 7 vulnerabilities is now available.

Description:

   This update for opera fixes the following issues:

   opera was updated to version 78.0.4093.147

   - CHR-8251 Update chromium on desktop-stable-92-4093 to 92.0.4515.131
   - DNA-93036 Opera not starting after closing window. Processes still
     working.
   - DNA-94516 Add ???Detach tab??? entry to tab menu
   - DNA-94584 [Mac] Sidebar setup not closed after press ???Add
     extensions??? button
   - DNA-94761 Crash when trying to record ???Chrome developer??? trace
   - DNA-94790 Crash at opera::VideoConferenceTabDetachController::
     OnBrowserAboutToStartClosing(Browser*)
   - The update to chromium 92.0.4515.131 fixes following issues:
     CVE-2021-30590, CVE-2021-30591, CVE-2021-30592, CVE-2021-30593,
     CVE-2021-30594, CVE-2021-30596, CVE-2021-30597

   Update to version 78.0.4093.112

   - DNA-94466 Implement sorting Pinboards in overview
   - DNA-94582 Add access to APIs for showing pinboard icon in sidebar
   - DNA-94603 Suspicious pinboards events
   - DNA-94625 Disable opr.pinboardPrivate.getThumbnail() for local files
   - DNA-94640 Promote O78 to stable
   - DNA-94661 Missing translations for some languages
   - Complete Opera 78.0 changelog at:
     https://blogs.opera.com/desktop/changelog-for-78/


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.3:NonFree:

      zypper in -t patch openSUSE-2021-1209=1

   - openSUSE Leap 15.2:NonFree:

      zypper in -t patch openSUSE-2021-1209=1



Package List:

   - openSUSE Leap 15.3:NonFree (x86_64):

      opera-78.0.4093.147-lp153.2.12.1

   - openSUSE Leap 15.2:NonFree (x86_64):

      opera-78.0.4093.147-lp152.2.58.1


References:

   https://www.suse.com/security/cve/CVE-2021-30590.html
   https://www.suse.com/security/cve/CVE-2021-30591.html
   https://www.suse.com/security/cve/CVE-2021-30592.html
   https://www.suse.com/security/cve/CVE-2021-30593.html
   https://www.suse.com/security/cve/CVE-2021-30594.html
   https://www.suse.com/security/cve/CVE-2021-30596.html
   https://www.suse.com/security/cve/CVE-2021-30597.html